%define oname async

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.13.0
Release:        %mkrel 2
Summary:        Jane Street Capital's asynchronous execution library

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam
BuildRequires:  ocaml-result-devel
Obsoletes:      ocaml-async_core < 109.24.00-6
Obsoletes:      ocaml-async_core-devel < 109.24.00-6

BuildRequires:  ocaml-async_extra-devel >= 1:0.13
BuildRequires:  ocaml-async_kernel-devel >= 0.13
BuildRequires:  ocaml-async_rpc_kernel >= 1:0.13
BuildRequires:  ocaml-async_unix-devel >= 1:0.13
BuildRequires:  ocaml-core-devel >= 0.13
BuildRequires:  ocaml-jane-street-headers-devel
BuildRequires:  ocaml-ppx_jane-devel >= 1:0.13
BuildRequires:  ocaml-migrate-parsetree-devel >= 1.0
BuildRequires:  ocaml-ppxlib-devel >= 0.1.0
BuildRequires:  ocaml-textutils-devel >= 0.13

%description
Monadic concurrency library

Part of Jane Street's Core library
The Core suite of libraries is an industrial strength alternative to
OCaml's standard library that was developed by Jane Street, the
largest industrial user of OCaml.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
#dune runtest

# $ dune external-lib-deps --missing @runtest
# Error: The following libraries are missing in the default context:
# - cpu_usage
# - jane
# - netkit
# - netkit_rpc
# - netkit_sockets
# - qtest_lib
# Hint: try: opam install cpu_usage jane netkit netkit_rpc netkit_sockets

%files
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/dune-package
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs
%{_libdir}/ocaml/stublibs/dllasync_rpc_stubs.so

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt*
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*
%{_libdir}/ocaml/%{oname}/*/*.cmt*
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-2.mga8
+ Revision: 1670858
- Rebuild to generate ocamlx provides

* Sun Mar 01 2020 pterjan <pterjan> 1:0.13.0-1.mga8
+ Revision: 1552737
- Add missing BuildRequires
- Disable tests for now, we are lacking too many libraries
- Update to 0.13.0
+ tv <tv>
- BR ocaml-async_rpc_kernel
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Oct 25 2018 pterjan <pterjan> 1:0.11.0-1.mga7
+ Revision: 1325288
- Update to 0.11.0

* Sun Sep 30 2018 daviddavid <daviddavid> 1:0.10.0-6.mga7
+ Revision: 1312636
- rebuild against ocaml-sexplib

* Sun Sep 02 2018 pterjan <pterjan> 1:0.10.0-5.mga7
+ Revision: 1256145
- Add BuildRequires ocaml-result-devel

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1242232
- rebuild for ocaml-sexplib

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1241793
- rebuild against current ocaml stack
- enable debug package as it should

* Wed Jan 17 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1194037
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Thu Nov 24 2016 neoclust <neoclust> 113.24.00-5.mga6
+ Revision: 1069776
- Rebuild against fixed ocaml

* Sun Sep 25 2016 pterjan <pterjan> 113.24.00-4.mga6
+ Revision: 1056226
- Rebuild for fix in ocaml

* Fri Mar 11 2016 daviddavid <daviddavid> 113.24.00-3.mga6
+ Revision: 989002
- fix requires, ocaml-async_core-devel is no more provided

* Sat Feb 27 2016 pterjan <pterjan> 113.24.00-2.mga6
+ Revision: 979975
- Obsolete async_core

* Wed Feb 24 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 978757
- Update to 113.24.00
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 109.24.00-5.mga5
+ Revision: 741971
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 109.24.00-4.mga5
+ Revision: 682980
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 109.24.00-3.mga4
+ Revision: 530552
- Mageia 4 Mass Rebuild

* Thu Jul 25 2013 malo <malo> 109.24.00-2.mga4
+ Revision: 457977
- add missing requires to ocaml-async_core

* Sun Jun 09 2013 malo <malo> 109.24.00-1.mga4
+ Revision: 441272
- update to 109.24.00

* Sat Jan 12 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 321301
- build requires janest-core
- build requires pipebang
- build requires pa_ounit
- build requires comparelib
- build requires compare
- build requires bin_prot
- build requires fieldslib
- build requires sexplib
- imported package ocaml-async

